Package groovy.transform

# Interface CompilationUnitAware

All Known Implementing Classes:
  `BuilderASTTransformation`, `GrabAnnotationTransformation`, `LogASTTransformation`, `StaticCompileTransformation`, `StaticTypesTransformation`, `TraitASTTransformation`

public interface CompilationUnitAware
This interface is for AST transformations which must be aware of the compilation unit where they are applied.

Author:
  Cedric Champeau

## Method Summary

Modifier and Type
Method
Description
`void`
`setCompilationUnit(CompilationUnit unit)`

## Method Details

### setCompilationUnit

void setCompilationUnit(CompilationUnit unit)